﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            Session["GridData"] = GetDepartments();
            WebDataGrid1.DataSource = Session["GridData"];
            WebDataGrid1.DataBind();
        }
        else
        {
            WebDataGrid1.DataSource = Session["GridData"];
        }
    }

    private DataTable GetDepartments()
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));
        dt.Columns.Add("Date", typeof(DateTime));

        for (int i = 0; i < 8; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i), DateTime.Today.Date.AddDays(-1 * i) });
        }

        dt.PrimaryKey = new DataColumn[] { dt.Columns["DepartmentID"] };

        return dt;
    }
}